SuperLU: SRC/ilu_cdrop_row.c File Reference

SuperLU 5.2.2

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables
ilu_cdrop_row.c File Reference

Drop small rows from L. More...

`#include <math.h>`
`#include <stdlib.h>`
`#include "slu_cdefs.h"`
Include dependency graph for ilu_cdrop_row.c:

## Functions
void | cswap_ (int *, complex[], int *, complex[], int *)
void | caxpy_ (int *, complex *, complex[], int *, complex[], int *)
void | ccopy_ (int *, complex[], int *, complex[], int *)
float | scasum_ (int *, complex *, int *)
float | scnrm2_ (int *, complex *, int *)
void | scopy_ (int *, float[], int *, float[], int *)
double | dnrm2_ (int *, double[], int *)
int | icamax_ (int *, complex[], int *)
static int | _compare_ (const void *a, const void *b)
int | ilu_cdrop_row (superlu_options_t *options, int first, int last, double drop_tol, int quota, int *nnzLj, double *fill_tol, GlobalLU_t *Glu, float swork[], float swork2[], int lastc)

## Variables
static float * | A

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    – SuperLU routine (version 4.1) –
    Lawrence Berkeley National Laboratory.
    June 30, 2009

## Function Documentation

static int _compare_ | ( | const void * | a,
|  | const void * | b
| ) |  |
| static

void caxpy_ | ( | int * | ,
|  | complex * | ,
|  | complex | [],
|  | int * | ,
|  | complex | [],
|  | int * |
| ) |  |

void ccopy_ | ( | int * | ,
|  | complex | [],
|  | int * | ,
|  | complex | [],
|  | int * |
| ) |  |

void cswap_ | ( | int * | ,
|  | complex | [],
|  | int * | ,
|  | complex | [],
|  | int * |
| ) |  |

double dnrm2_ | ( | int * | ,
|  | double | [],
|  | int * |
| ) |  |

int icamax_ | ( | int * | ,
|  | complex | [],
|  | int * |
| ) |  |

int ilu_cdrop_row | ( | superlu_options_t * | options,
|  | int | first,
|  | int | last,
|  | double | drop_tol,
|  | int | quota,
|  | int * | nnzLj,
|  | double * | fill_tol,
|  | GlobalLU_t * | Glu,
|  | float | swork[],
|  | float | swork2[],
|  | int | lastc
| ) |  |

#

    Purpose

       ilu_cdrop_row() - Drop some small rows from the previous
       supernode (L-part only).

float scasum_ | ( | int * | ,
|  | complex * | ,
|  | int * |
| ) |  |

float scnrm2_ | ( | int * | ,
|  | complex * | ,
|  | int * |
| ) |  |

void scopy_ | ( | int * | ,
|  | float | [],
|  | int * | ,
|  | float | [],
|  | int * |
| ) |  |

## Variable Documentation

float* A
| static